assert( Necronomicon, "Necronomicon not found!")

----------------------------------
--        Are you local?        --
----------------------------------

local L = AceLibrary("AceLocale-2.2"):new("Necronomicon")
local deformat = AceLibrary("Deformat-2.0")
local BS = AceLibrary("Babble-Spell-2.2")

----------------------------------
--      Module Declaration      --
----------------------------------

NecronomiconTrance = Necronomicon:NewModule("Trance")

NecronomiconTrance.revision = tonumber(string.sub("$Revision: 26678 $", 12, -3))

NecronomiconTrance.defaults = {
}

----------------------------------
--     Module Intialization     --
----------------------------------

function NecronomiconTrance:OnEnable()
	self:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS")
end

----------------------------------
--        Event Handlers        --
----------------------------------

function NecronomiconTrance:CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS( msg )
	local effect = deformat( msg, AURAADDEDSELFHELPFUL )
	if effect == BS["Backlash"] or effect == BS["Shadow Trance"] then
		self:Warn( effect )
	end
end
